=== doc/kcontrol6/CMakeLists.txt ===
add_subdirectory(netpref)
add_subdirectory(proxy)
add_subdirectory(trash)
add_subdirectory(webshortcuts)
