=== debian/changelog ===
kio-extras (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * No change rebuild for libplasmaactivities7.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 19:06:27 +0100

kio-extras (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:46:49 +0100
