## kio-extras 25.08.2+p24.04+vstable+git20251016.0748

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vstable+git20251016.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:48:28 +0000

kio-extras (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:05:20 +0000
