=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gperf,
               kdsoap-ws-discovery-client-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               libappimage-dev,
               libappstreamqt-dev,
               libimobiledevice-dev,
               libkdsoap-qt6-dev,
               libkexiv2-dev,
               libmsgsl-dev,
               libmtp-dev,
               libopenexr-dev,
               libproxy-dev,
               libsmbclient-dev,
               libssh-dev,
               libtag1-dev,
               libtirpc-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Git: https://invent.kde.org/neon/kde/kio-extras.git
Vcs-Browser: https://invent.kde.org/neon/kde/kio-extras
Maintainer: Neon CI <neon@kde.org>

Package: kio-extras
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Breaks: kio-extras-data (<< 4:24.01.90), kio-extras6
Replaces: kio-extras-data (<< 4:24.01.90), kio-extras6
Description: Extra functionality for KF6 based kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of KDE network.

Package: kio-extras-dev
Architecture: any
Depends: kf6-kio-dev, kio-extras (= ${binary:Version}), ${misc:Depends}
Breaks: kio-extras6-dev
Replaces: kio-extras6-dev
Description: Extra functionality for KF6 based kioslaves - development files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the development files.

Package: kio-extras-data
Architecture: all
Depends: kio-extras, ${misc:Depends}
Breaks: kio-extras6-data
Replaces: kio-extras6-data
Description: Dummy transitional
 Transitional dummy package.
