## kio-extras 25.08.2+p24.04+vstable+git20251019.0623

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vstable+git20251019.0623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:23:10 +0000
