## kio-extras 25.08.2+p24.04+vstable+git20251031.0255

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vstable+git20251031.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:56:07 +0000
