## kio-extras 25.08.2+p24.04+vunstable+git20251015.1322

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vunstable+git20251015.1322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:22:44 +0000
