=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vunstable+git20251019.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:23:20 +0000
