## kio-extras 25.08.2+p24.04+vunstable+git20251021.0509

=== debian/changelog ===
kio-extras (4:25.08.2+p24.04+vunstable+git20251021.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:10:05 +0000
