## kio-extras 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -32,25 +32,26 @@
 include(FeatureSummary)
 
 option(BUILD_DOC "Whether to build the documentation" ON)
-option(BUILD_KCMS "Whether to build the KCMs" ON)
-option(BUILD_FUZZERS "Whether to the thumbnail build fuzzers" OFF)
-option(FUZZERS_USE_QT_MINIMAL_INTEGRATION_PLUGIN "Whether to use the Qt minimal integration plugin for fuzzers" OFF)
-
-find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg)
+
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Network Widgets Svg Core5Compat)
+
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate REQUIRED)
+endif()
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
+    ConfigWidgets
     CoreAddons
+    DNSSD
     I18n
     KIO
     Solid
+    GuiAddons
     SyntaxHighlighting
+    KCMUtils
 )
-
-if(BUILD_KCMS)
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KCMUtils)
-endif()
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -84,6 +85,9 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
+find_package(QCoro6 REQUIRED COMPONENTS Core)
+qcoro_enable_coroutines()
+
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
@@ -104,6 +108,12 @@
         TYPE REQUIRED
     )
 endif()
+
+find_package(Phonon4Qt6 4.6.60 NO_MODULE)
+set_package_properties(Phonon4Qt6 PROPERTIES
+   DESCRIPTION "Qt-based audio library"
+   PURPOSE "Required for the audio preview plugin"
+   TYPE OPTIONAL)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
@@ -187,15 +197,16 @@
     KF 6.0
 )
 
-if(BUILD_KCMS)
-    add_subdirectory( kcms )
-endif()
+add_subdirectory(kcms)
 
 if(BUILD_ACTIVITIES)
   add_subdirectory( activities )
   add_subdirectory( recentlyused )
 endif()
 add_subdirectory( filter )
+if(Phonon4Qt6_FOUND)
+    add_subdirectory( kfileaudiopreview )
+endif()
 add_subdirectory( info )
 add_subdirectory( archive )
 if (NOT WIN32)
@@ -205,8 +216,6 @@
 endif()
 add_subdirectory( thumbnail )
 if (libssh_FOUND)
-    find_package(QCoro6 REQUIRED COMPONENTS Core)
-    qcoro_enable_coroutines()
     add_subdirectory(sftp)
 endif ()
 
@@ -228,7 +237,6 @@
 endif()
 
 if(SAMBA_FOUND AND USE_DBUS)
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DNSSD)
     add_subdirectory(smb)
 endif()
