=== doc/CMakeLists.txt ===
ecm_optional_add_subdirectory(kioworker)
add_subdirectory(kcontrol6)
